<?
$boardlist	= preg_replace("/\s+/", "", $boardlist);

//-- $latest_skin_path, $table_name, $reloadtime(초), $clickload 1:클릭 실행, 0:클릭 실행 아님, $boardlist:적용한 보드 목록
$my_new_reply_list	= "";				//-- 새 반응글 목록 

$aboardlist	= explode(",", $boardlist);
$j			= 0;
for($i = 0; $i < count($aboardlist); $i++) {
	//-- 테이블이 유효한지 검사
	$t_name	= "g4_write_".$aboardlist[$i];
	$rs	= sql_fetch("show tables like '$t_name'");

	if($rs) {
		$aboardname[$j] = $t_name; 
		$j++;
	}
}

//-- 아이디로 검색 된 레코드가 없으면 아이디가 포함 된 빈 레코드 추가

$rdFirst	= sql_fetch("select db_recno from $table_name where db_id='$code_id'");
if(!$rdFirst[db_recno] && $member[mb_id]) {
	sql_query("insert into $table_name set db_id='$code_id'");
}

//-- 마지막 확인 후 지정한 시간이 지났음?
$pretime		= date("Y-m-d H:i:s", time()-$reloadtime);
$rdAlimi		= sql_fetch("select db_recno, db_datetime, db_content from $table_name where db_id='$code_id' and (db_datetime<'$pretime' or db_datetime='')");
if($rdAlimi[db_recno]) {			//-- 첫 호출이거나 마지막 확인 후 지정한 시간 지났음
	//-- 새 반응 글 있는지 체크. 복수 게시판
	for($i = 0; $i < count($aboardname); $i++) {
		//-- 마지막으로 반응글 확인 한 날짜 이후 자료를 읽어 온다. (내가 쓴 댓글은 제외. 각 게시판당 표본을 1000개로 함.)
		$repRes		= sql_query("select wr_id, wr_num, wr_name, wr_reply, wr_parent, wr_datetime, wr_is_comment, wr_comment, wr_comment_reply, mb_id, wr_subject from $aboardname[$i] where wr_datetime>'$rdAlimi[db_datetime]' and mb_id<>'$member[mb_id]' order by wr_num asc limit 1000");
		while($repData =  mysql_fetch_array($repRes)) {
			//-- 본글은 반응글 체크에서 제외
			//-- repData : 반응글 정보, recRes : 원글의 정보
			if(!((!$repData[wr_is_comment]) && ($repData[wr_id] == $repData[wr_parent]) && (!$repData[wr_reply]))){
				//-- 답글일 때 상위 원본 글 체크
				if($repData[wr_reply]) {
					//-- 등록글이면서 바로 윗 단계의 레코드를 구한다. 
					$upRecA		= substr($repData[wr_reply], 0, strlen($repData[wr_reply])-1);
					//-- 같은 레벨 중 답글이면서 바로 윗 단계의 글이 내 글이면 $repData[wr_id]는 내 글에 대한 반응 글
					$recRes		= sql_fetch("select wr_id, mb_id, wr_name, wr_subject, wr_datetime from $aboardname[$i] where wr_num='$repData[wr_num]' and wr_is_comment='0' and wr_reply='$upRecA' and mb_id='$member[mb_id]'");
					if($recRes[wr_id]) $my_new_reply_list	.= $repData[wr_datetime] . "[#!!#]" . str_replace("g4_write_", "", $aboardname[$i]) . "[#!!#]".$repData[wr_id] . "[#!!#]".$repData[wr_name] . "[#!!#]" . cut_str($recRes[wr_subject], $subject_length) . "[#!!#]답글[@!!@]";
				}

				//-- 댓글 일 때 상위 댓글과 게시글 번호 체크
				if(($repData[wr_is_comment] == "1") && ($repData[wr_comment_reply])) {
					//-- 댓글이면서 바로 윗 단계의 레코드를 구한다. 
					$upRecA		= substr($repData[wr_comment_reply], 0, strlen($repData[wr_comment_reply])-1);
					//-- 같은 단계의 댓글 중 상위 글이 있으면 내 댓글의 댓글
					$recRes		= sql_fetch("select wr_id, mb_id, wr_content from $aboardname[$i] where wr_num='$repData[wr_num]' and wr_comment='$repData[wr_comment]' and wr_comment_reply='$upRecA' and mb_id='$member[mb_id]'");
					if($recRes[wr_id]) $my_new_reply_list	.= $repData[wr_datetime] . "[#!!#]" . str_replace("g4_write_", "", $aboardname[$i]) . "[#!!#]".$recRes[wr_id] . "#c_".$repData[wr_id] . "[#!!#]".$repData[wr_name] . "[#!!#]" . cut_str($recRes[wr_content], $subject_length) . "[#!!#]답댓글[@!!@]";
				}

				//-- 최상위 댓글인 경우 어떤 등록 글에 대한 반응글인지
				if(($repData[wr_is_comment] == "1") && (!$repData[wr_comment_reply])) {
					$recRes		= sql_fetch("select wr_id, mb_id, wr_subject from $aboardname[$i] where wr_num='$repData[wr_num]' and wr_id='$repData[wr_parent]' and mb_id='$member[mb_id]'");
					if($recRes[wr_id]) $my_new_reply_list	.= $repData[wr_datetime] . "[#!!#]" . str_replace("g4_write_", "", $aboardname[$i]) . "[#!!#]" . $recRes[wr_id] . "#c_" . $repData[wr_id] . "[#!!#]" . $repData[wr_name] . "[#!!#]" . cut_str($recRes[wr_subject], $subject_length) . "[#!!#]댓글[@!!@]";
				}
			}
		}
	}
}

if($my_new_reply_list) {				//-- 새 반응 글 있음
	//-- 새 반응글 정보 뒤에 이미 저장 됐던 반응글을 붙힘
	$my_new_reply_list	.= $rdAlimi[db_content];

	//-- 새 반응글이 있으면 캐시 정보 업데이트
	$old_date		= sql_fetch("select db_datetime from $table_name where db_id='$code_id'");
	sql_query("update $table_name set db_read_datetime='$old_date[db_datetime]' where db_id='$code_id'");

	$nowtime		= date("Y-m-d H:i:s");
	$reNewReply		= sql_query("update $table_name set db_new_reply_check='1', db_datetime='$nowtime', db_content='$my_new_reply_list' where db_id='$code_id'");
}
?>